Bug 254018 - Review Request: rubygem-fastthread - optimized thread.rb replacement
Review Request: rubygem-fastthread - optimized thread.rb replacement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 254015
  Show dependency treegraph
 
Reported: 2007-08-23 13:19 EDT by Scott Seago
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 23:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2007-08-23 13:19:59 EDT
Spec URL: http://people.redhat.com/sseago/fedora/spec/rubygem-fastthread.spec
SRPM URL: http://people.redhat.com/sseago/fedora/SRPMS/rubygem-fastthread-1.0-1.fc7.src.rpm
Description: 
Optimized replacement for thread.rb primitives
Comment 1 David Lutterkort 2007-08-23 20:47:32 EDT
OK - Package name
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - BuildRoot value (one of the recommended values)
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 (mock)
OK - BuildRequires sufficient
OK - File permissions set properly
OK - Macro usage is consistent
OK - rpmlint output. rpmlint complains about missing docs, but that's an
upstream problem

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch specific content in %{gemdir}
OK - Defines ruby_sitearch from rbconfig
OK - arch specific content moved to %{ruby_sitearch}

BAD - License info isn't given explicitly, only inferred from the fact that
fastthread is part of mongrel and falls under mongrel licensing (not something
to fix for this review, but to point out to upstream at some point)

Package doesn't create a -debuginfo; but given the gyrations of building
rubygems, that can't be done sanely.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.


Comment 2 Scott Seago 2007-08-27 17:34:59 EDT
New Package CVS Request
=======================
Package Name: rubygem-fastthread
Short Description: Optimized replacement for thread.rb primitives
Owners: sseago
Branches: F-7, EL-5
InitialCC: 
Cvsextras Commits: No
Comment 3 Kevin Fenzi 2007-08-28 00:39:34 EDT
cvs done.
Comment 4 Jeroen van Meeuwen 2008-10-16 19:01:31 EDT
Package Change Request
======================
Package Name: rubygem-fastthread
New Branches: EL-4
Owners: sseago, kanarip

Approved by sseago in private email
Comment 5 Kevin Fenzi 2008-10-19 19:02:25 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.